# MeshArrays.jl

`MeshArrays.jl` defines an array type that can contain / organize / distribute collections of inter-connected arrays as generally done in climate models (see [Grids](@ref)). `MeshArrays.jl`'s data structures can be used to simulate and analyze key variables of the climate system such as [particles](https://doi.org/10.21105/joss.02813) and [transports](https://doi.org/10.1038/s41561-019-0333-7).

!!! note
    [The package tutorial](start/basics.html) provides a walk through of important features. [The JuliaClimate Notebooks](https://juliaclimate.github.io/GlobalOceanNotebooks/) further provide a collection of use cases.

